Update wallet automation
curl --request PATCH \
--url https://api.privy.io/v1/wallet_automations/{automation_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '
{
"name": "<string>",
"enabled": true,
"owner_id": "<string>"
}
'HttpResponse<String> response = Unirest.patch("https://api.privy.io/v1/wallet_automations/{automation_id}")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"enabled\": true,\n \"owner_id\": \"<string>\"\n}")
.asString();const options = {
method: 'PATCH',
headers: {
'privy-app-id': '<privy-app-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', enabled: true, owner_id: '<string>'})
};
fetch('https://api.privy.io/v1/wallet_automations/{automation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/wallet_automations/{automation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'enabled' => true,
'owner_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/wallet_automations/{automation_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"enabled\": true,\n \"owner_id\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"app_id": "<string>",
"name": "<string>",
"status": "enabled",
"owner_id": "<string>",
"config": {
"trigger": {
"type": "deposit",
"assets": {
"mode": "all"
}
},
"action": {
"type": "swap",
"destination_chain_asset": {
"asset_address": "<string>",
"caip2": "<string>"
}
}
},
"created_at": "<string>",
"updated_at": "<string>"
}Wallet automations
Update wallet automation
Update, enable, or disable a wallet automation.
PATCH
/
v1
/
wallet_automations
/
{automation_id}
Update wallet automation
Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Path Parameters
ID of the wallet automation.
Body
application/json
Request body for updating a wallet automation.
Response
200 - application/json
The updated wallet automation.
A wallet automation.
Automation lifecycle state: 'enabled' = running, 'disabled' = not running.
Available options:
enabled, disabled Full configuration for a wallet automation (trigger + action).
Show child attributes
Show child attributes
Was this page helpful?

